<template>
  <ul class="navigation">
    <nuxt-link to="/dashboard">
      <li :class="{ active: active === 'dashboard' }" v-ripple="'rgba(0, 0, 0, 0.1)'">
        <DashboardIcon class="icon"/>
        <p>داشبورد</p>
      </li>
    </nuxt-link>
    <nuxt-link to="/dashboard/edit">
      <li :class="{ active: active === 'edit' }" v-ripple="'rgba(0, 0, 0, 0.1)'">
        <EditIcon class="icon"/>
        <p>ویرایش حساب کاربری</p>
    </li>
    </nuxt-link>
    <nuxt-link to="/dashboard/addresses">
      <li :class="{ active: active === 'addresses' }" v-ripple="'rgba(0, 0, 0, 0.1)'">
        <AddreessIcon class="icon"/>
        <p>آدرس های من</p>
      </li>
    </nuxt-link>
    <nuxt-link to="/dashboard/orders">
      <li :class="{ active: active === 'orders' }" v-ripple="'rgba(0, 0, 0, 0.1)'">
        <OrdersIcon class="icon"/>
        <p>سفارش های من</p>
      </li>
    </nuxt-link>
    <!-- ADMIN -->
    <nuxt-link to="/dashboard/admin/categories" v-if="isAdmin">
      <li :class="{ active: active === 'categories' }" v-ripple="'rgba(0, 0, 0, 0.1)'">
        <CategoriesIcon class="icon"/>
        <p>مدیریت دسته بندی ها</p>
      </li>
    </nuxt-link>
    <nuxt-link to="/dashboard/admin/products" v-if="isAdmin">
      <li :class="{ active: active === 'products' }" v-ripple="'rgba(0, 0, 0, 0.1)'">
        <ProductIcon class="icon"/>
        <p>مدیریت محصولات</p>
      </li>
    </nuxt-link>
    <nuxt-link to="/dashboard/admin/users" v-if="isAdmin">
      <li :class="{ active: active === 'users' }" v-ripple="'rgba(0, 0, 0, 0.1)'">
        <UsersIcon class="icon"/>
        <p>مدیریت کاربران</p>
      </li>
    </nuxt-link>
    <nuxt-link to="/dashboard/admin/orders" v-if="isAdmin">
      <li :class="{ active: active === 'orders-manager' }" v-ripple="'rgba(0, 0, 0, 0.1)'">
        <ManageOrdersIcon class="icon"/>
        <p>مدیریت سفارشات</p>
      </li>
    </nuxt-link>
    <nuxt-link to="/dashboard/admin/blog" v-if="isAdmin">
      <li :class="{ active: active === 'blog' }" v-ripple="'rgba(0, 0, 0, 0.1)'">
        <BlogIcon class="icon"/>
        <p>مدیریت بلاگ</p>
      </li>
    </nuxt-link>
    <!-- ADMIN -->
    <li v-ripple="'rgba(0, 0, 0, 0.1)'" @click="logout">
      <LogoutIcon class="icon"/>
      <p>خروج</p>
    </li>
  </ul>
</template>

<script>
import DashboardIcon from "@/assets/svgs/dashboard.svg";
import EditIcon from "@/assets/svgs/edit.svg";
import LogoutIcon from "@/assets/svgs/logout.svg";
import AddreessIcon from "@/assets/svgs/location.svg";
import OrdersIcon from "@/assets/svgs/delivery.svg";
import ManageOrdersIcon from "@/assets/svgs/credit-card-marker-outline.svg";
import ProductIcon from "@/assets/svgs/package.svg";
import CategoriesIcon from "@/assets/svgs/category.svg";
import UsersIcon from "@/assets/svgs/account.svg";
import BlogIcon from "@/assets/svgs/post.svg";

export default {
  components: {
    DashboardIcon,
    EditIcon,
    LogoutIcon,
    AddreessIcon,
    OrdersIcon,
    CategoriesIcon,
    UsersIcon,
    ProductIcon,
    BlogIcon,
    ManageOrdersIcon
  },
  props: {
    active: {
      type: String,
      default: ""
    }
  },
  methods: {
    logout() {
      this.$store.dispatch("auth/logout").then(response => {
        this.$store.dispatch('notifications/push', {
          message: 'با موفقیت خارج شدید!',
          type: 'success',
          light: true,
          timeout: 2000
        });
      });
    }
  },
  computed: {
    isAdmin() {
      return this.$store.getters['auth/isAdmin'];
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~assets/styles/variables'

.navigation
  background-color $light-2
  border-radius .5rem
  border 1px solid rgba($grey, .2)
  align-self flex-start

ul
  list-style-type none
  direction rtl

li
  padding $md
  display flex
  align-items center
  &:hover
    background-color rgba(black, .05)
    cursor pointer
  @media only screen and (max-width: 1250px)
    padding $md $sm

.icon
  width 2.5rem
  height 2.5rem
  margin-left $sm
  fill $grey

.active
  background-color rgba($primary, .075)
</style>